#!/bin/sh
ECHO_PREFIX="### /root/.pbuilderrc: "
-MIRRORSITE="http://alexandria.pb.local/debian-mirror/"
+MIRRORSITE="http://repo.pb.local/debian"
STABLE="squeeze"
STABLE_CODENAME="stable"
STABLE_PBNAME="production"
BASETGZ="/var/cache/pbuilder/$NAME-$PB_SUITE-base.tgz"
BASEPATH="/var/cache/pbuilder/$NAME-$PB_SUITE-base.cow"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-$DIST production main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-$DIST production-approved-updates main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-$DIST production-proposed-updates main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian $DIST main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian ${DIST}-proposed main contrib non-free |"
if echo ${PB_SUITE} | grep -qE "^develop-.*"
then
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-$DIST pre-staging main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian-dev ${DIST}-dev main contrib non-free |"
fi
if echo ${PB_SUITE} | grep -qE "^wheezy-dev-.*"
then
BASETGZ="/var/cache/pbuilder/$NAME-experimental-wheezy-base.tgz"
BASEPATH="/var/cache/pbuilder/$NAME-experimental-wheezy-base.cow"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-$DIST pre-staging main contrib non-free |"
- if wget -q --spider "http://alexandria.pb.local/dev-$DIST/dists/$PB_SUITE/Release"; then
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian-dev ${DIST}-dev main contrib non-free |"
+ if wget -q --spider "http://repo.pb.local/pb-debian-dev/dists/${DIST}-$PB_SUITE/Release"; then
# Only add the wheezy-dev-* repository if it already exist
# It will not exist for the first package that targets this repository.
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/dev-$DIST $PB_SUITE main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian-dev ${DIST}-$PB_SUITE main contrib non-free |"
fi
fi
else
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-squeeze production main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-squeeze production-approved-updates main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-squeeze production-proposed-updates main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/debian-mirror profitbricks-backports main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian squeeze main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian squeeze-proposed main contrib non-free |"
if [ ${PB_SUITE:0:4} == "dev-" ] ; then
BASETGZ="/var/cache/pbuilder/$NAME-experimental-base.tgz"
BASEPATH="/var/cache/pbuilder/$NAME-experimental-base.cow"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-squeeze pre-staging main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/debian-mirror profitbricks-backports-proposed-updates main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/debian-mirror profitbricks-backports-pre-staging main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/debian-mirror profitbricks-backports-experimental main contrib non-free |"
- if wget -q --spider "http://alexandria.pb.local/dev-squeeze/dists/$PB_SUITE/Release"; then
- # Only add the dev-* repository if it already exist
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian-dev squeeze-dev main contrib non-free |"
+ if wget -q --spider "http://repo.pb.local/pb-debian-dev/dists/${DIST}-$PB_SUITE/Release"; then
+ # Only add the ${DIST}-* repository if it already exist
# It will not exist for the first package that targets this repository.
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/dev-squeeze $PB_SUITE main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian-dev ${DIST}-$PB_SUITE main contrib non-free |"
fi
else
BASETGZ="/var/cache/pbuilder/$NAME-$PB_SUITE-base.tgz"
:
;;
$TESTING_PBNAME|staging)
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-squeeze staging main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/debian-mirror profitbricks-backports-proposed-updates main contrib non-free |"
+ echo "Error: Staging is gone. Please contact DC Ops (contact person: Benjamin Drung)" >&2
+ exit 1
;;
$UNSTABLE|$UNSTABLE_PBNAME|develop-squeeze)
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-squeeze staging main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/pb-squeeze pre-staging main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/debian-mirror profitbricks-backports-proposed-updates main contrib non-free |"
- OTHERMIRROR="$OTHERMIRROR deb http://alexandria.pb.local/debian-mirror profitbricks-backports-pre-staging main contrib non-free |"
+ OTHERMIRROR="$OTHERMIRROR deb http://repo.pb.local/pb-debian-dev squeeze-dev main contrib non-free |"
;;
$EXPERIMENTAL_PBNAME)
: